cern.jet.math

## Class Polynomial

- java.lang.Object
- - cern.jet.math.Constants
  - - cern.jet.math.Polynomial

-     public class Polynomial
      extends Constants

  Polynomial functions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `p1evl(double x, double[] coef, int N)` Evaluates the given polynomial of degree `N` at `x`, assuming coefficient of N is 1.0.
    `static double` | `polevl(double x, double[] coef, int N)` Evaluates the given polynomial of degree `N` at `x`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### p1evl

          public static double p1evl(double x,
                     double[] coef,
                     int N)
                              throws java.lang.ArithmeticException

      Evaluates the given polynomial of degree `N` at `x`, assuming coefficient of N is 1.0. Otherwise same as `polevl()`.

                               2          N
           y  =  C  + C x + C x  +...+ C x
                  0    1     2          N

           where C  = 1 and hence is omitted from the array.
                  N

           Coefficients are stored in reverse order:

           coef[0] = C  , ..., coef[N-1] = C  .
                      N-1                   0

           Calling arguments are otherwise the same as polevl().

      In the interest of speed, there are no checks for out of bounds arithmetic.
      Parameters:
        `x` - argument to the polynomial.
        `coef` - the coefficients of the polynomial.
        `N` - the degree of the polynomial.
      Throws:
        `java.lang.ArithmeticException`

    - #### polevl

          public static double polevl(double x,
                      double[] coef,
                      int N)
                               throws java.lang.ArithmeticException

      Evaluates the given polynomial of degree `N` at `x`.

                               2          N
           y  =  C  + C x + C x  +...+ C x
                  0    1     2          N

           Coefficients are stored in reverse order:

           coef[0] = C  , ..., coef[N] = C  .
                      N                   0

      In the interest of speed, there are no checks for out of bounds arithmetic.
      Parameters:
        `x` - argument to the polynomial.
        `coef` - the coefficients of the polynomial.
        `N` - the degree of the polynomial.
      Throws:
        `java.lang.ArithmeticException`

Jump to the Colt Homepage